*** ./misc/xine-fontconv.c.osr6	Sun Jul 25 10:06:29 2004
--- ./misc/xine-fontconv.c	Mon Oct 23 16:44:23 2006
***************
*** 39,44 ****
--- 39,45 ----
  #include <stdio.h>
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  #include <malloc.h>
  #include <zlib.h>
  #include <iconv.h>
*** ./lib/os_internal.h.osr6	Sun Jul  9 07:36:53 2006
--- ./lib/os_internal.h	Mon Oct 23 16:44:23 2006
***************
*** 2,7 ****
--- 2,9 ----
  #define _XINE_OS_INTERNAL_H
  
  #include <stddef.h>
+ #include <string.h>
+ #include <strings.h>
  
  #ifdef HOST_OS_DARWIN
    /* Darwin (Mac OS X) needs __STDC_LIBRARY_SUPPORTED__ for SCNx64 and
*** ./src/xine-utils/xineutils.h.osr6	Fri Jun 23 11:24:22 2006
--- ./src/xine-utils/xineutils.h	Mon Oct 23 16:44:23 2006
***************
*** 50,55 ****
--- 50,56 ----
  #  ifdef WIN32
  #    include <winsock.h>
  #  else
+ #    include <time.h>
  #    include <sys/time.h>
  #  endif
  #  include <xine/os_types.h>
***************
*** 75,80 ****
--- 76,89 ----
  #  define extern DL_IMPORT extern
  #endif
  
+ #ifndef _TIMESPEC
+ #define _TIMESPEC
+ struct timespec {
+     time_t      tv_sec;     /* seconds */
+     long        tv_nsec;    /* and nanoseconds */
+ };
+ #endif
+ 
    /*
     * debugable mutexes
     */
*** ./src/xine-utils/xmlparser.c.osr6	Mon Feb 13 18:25:01 2006
--- ./src/xine-utils/xmlparser.c	Mon Oct 23 16:44:23 2006
***************
*** 26,31 ****
--- 26,32 ----
  #include <stdio.h>
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdarg.h>
  #include <ctype.h>
  
*** ./src/xine-engine/video_decoder.c.osr6	Sun Jul  9 07:40:08 2006
--- ./src/xine-engine/video_decoder.c	Mon Oct 23 16:44:23 2006
***************
*** 498,504 ****
--- 498,506 ----
    
      pthread_attr_init(&pth_attrs);
      pthread_attr_getschedparam(&pth_attrs, &pth_params);
+ #ifndef _NO_PRIO_MIN
      pth_params.sched_priority = sched_get_priority_min(SCHED_OTHER);
+ #endif
      pthread_attr_setschedparam(&pth_attrs, &pth_params);
      pthread_attr_setscope(&pth_attrs, PTHREAD_SCOPE_SYSTEM);
  
*** ./src/xine-engine/audio_decoder.c.osr6	Sun Jul  9 07:40:08 2006
--- ./src/xine-engine/audio_decoder.c	Mon Oct 23 16:44:23 2006
***************
*** 501,507 ****
--- 501,509 ----
  
      pthread_attr_init(&pth_attrs);
      pthread_attr_getschedparam(&pth_attrs, &pth_params);
+ #ifndef _NO_PRIO_MIN
      pth_params.sched_priority = sched_get_priority_min(SCHED_OTHER);
+ #endif
      pthread_attr_setschedparam(&pth_attrs, &pth_params);
      pthread_attr_setscope(&pth_attrs, PTHREAD_SCOPE_SYSTEM);
   
*** ./src/xine-engine/osd.c.osr6	Sun Jul  9 07:40:08 2006
--- ./src/xine-engine/osd.c	Mon Oct 23 16:44:23 2006
***************
*** 28,33 ****
--- 28,34 ----
  
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdio.h>
  #include <zlib.h>
  #include <sys/types.h>
*** ./src/xine-engine/demux.c.osr6	Sun Jul  9 07:40:08 2006
--- ./src/xine-engine/demux.c	Mon Oct 23 16:44:23 2006
***************
*** 26,31 ****
--- 26,32 ----
  
  #include <stdio.h>
  #include <string.h>
+ #include <strings.h>
  #include <pthread.h>
  #include <sched.h>
  #include <sys/time.h>
*** ./src/xine-engine/load_plugins.c.osr6	Sun Jul  9 07:40:08 2006
--- ./src/xine-engine/load_plugins.c	Mon Oct 23 16:44:23 2006
***************
*** 37,42 ****
--- 37,43 ----
  #endif
  #include <dlfcn.h>
  #include <string.h>
+ #include <strings.h>
  #include <errno.h>
  #include <stdlib.h>
  #include <stdio.h>
*** ./src/xine-engine/xine.c.osr6	Sun Jul  9 07:40:08 2006
--- ./src/xine-engine/xine.c	Mon Oct 23 16:44:23 2006
***************
*** 33,38 ****
--- 33,39 ----
  #include <sys/time.h>
  #include <fcntl.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  #include <pthread.h>
  #include <stdarg.h>
*** ./src/xine-engine/buffer_types.c.osr6	Sun Jul  9 07:40:08 2006
--- ./src/xine-engine/buffer_types.c	Mon Oct 23 16:44:23 2006
***************
*** 33,38 ****
--- 33,39 ----
  
  #include <stdio.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  #include <inttypes.h>
  #include "buffer.h"
*** ./src/dxr3/video_out_dxr3.c.osr6	Sun Jul  9 07:37:34 2006
--- ./src/dxr3/video_out_dxr3.c	Mon Oct 23 16:44:23 2006
***************
*** 41,46 ****
--- 41,47 ----
  #include <stdio.h>
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  #include <unistd.h>
  #include <fcntl.h>
  #include <errno.h>
*** ./src/input/vcd/libvcd/libvcd/inf.h.osr6	Sun Jul  9 07:37:53 2006
--- ./src/input/vcd/libvcd/libvcd/inf.h	Mon Oct 23 16:44:23 2006
***************
*** 163,169 ****
      Get the LID from a given play-list descriptor. 
      VCDINFO_REJECTED_MASK is returned on error or pld is NULL. 
    */
!   uint16_t vcdinf_pld_get_lid(const PsdPlayListDescriptor_t *pld);
    
    /*!
      Return the playlist item i in d. 
--- 163,169 ----
      Get the LID from a given play-list descriptor. 
      VCDINFO_REJECTED_MASK is returned on error or pld is NULL. 
    */
!   lid_t vcdinf_pld_get_lid(const PsdPlayListDescriptor_t *pld);
    
    /*!
      Return the playlist item i in d. 
***************
*** 210,216 ****
      Get the LID from a given selection-list descriptor. 
      VCDINFO_REJECTED_MASK is returned on error or psd is NULL. 
    */
!   uint16_t vcdinf_psd_get_lid(const PsdSelectionListDescriptor_t *psd);
    
    /*!
      Get the LID rejected status for a given selection-list descriptor. 
--- 210,216 ----
      Get the LID from a given selection-list descriptor. 
      VCDINFO_REJECTED_MASK is returned on error or psd is NULL. 
    */
!   lid_t vcdinf_psd_get_lid(const PsdSelectionListDescriptor_t *psd);
    
    /*!
      Get the LID rejected status for a given selection-list descriptor. 
*** ./src/input/vcd/libvcd/libvcd/types.h.osr6	Sun Jul  9 07:37:54 2006
--- ./src/input/vcd/libvcd/libvcd/types.h	Mon Oct 23 16:44:23 2006
***************
*** 59,65 ****
      vcd_type_t;
    
    /* The type of an playback control list ID (LID). */
!   typedef uint16_t lid_t;
    
    /* The type of a segment number 0..1980 segment items possible. */
    typedef uint16_t segnum_t;
--- 59,66 ----
      vcd_type_t;
    
    /* The type of an playback control list ID (LID). */
!   /* Already typedef'd on OpenServer 6 */
!   /* typedef uint16_t lid_t; */
    
    /* The type of a segment number 0..1980 segment items possible. */
    typedef uint16_t segnum_t;
*** ./src/input/vcd/libvcd/info.c.osr6	Sun Jul  9 07:37:52 2006
--- ./src/input/vcd/libvcd/info.c	Mon Oct 23 16:44:23 2006
***************
*** 461,467 ****
    vcdinfo_lid_get_pxd(obj, &pxd, lid);
    if (pxd.descriptor_type != PSD_TYPE_SELECTION_LIST &&
        pxd.descriptor_type != PSD_TYPE_EXT_SELECTION_LIST) {
!     vcd_warn( "Requesting selection of LID %i which not a selection list -"
                " type is 0x%x", 
                lid, pxd.descriptor_type );
      return VCDINFO_INVALID_OFFSET;
--- 461,467 ----
    vcdinfo_lid_get_pxd(obj, &pxd, lid);
    if (pxd.descriptor_type != PSD_TYPE_SELECTION_LIST &&
        pxd.descriptor_type != PSD_TYPE_EXT_SELECTION_LIST) {
!     vcd_warn( "Requesting selection of LID %ld which not a selection list -"
                " type is 0x%x", 
                lid, pxd.descriptor_type );
      return VCDINFO_INVALID_OFFSET;
***************
*** 1114,1120 ****
   \return  VCDINFO_INVALID_OFFSET is returned on error or if LID has no 
   "return" entry. Otherwise the LID offset is returned.
   */
! uint16_t
  vcdinfo_get_return_offset(const vcdinfo_obj_t *obj, lid_t lid)
  {
    if (NULL != obj) {
--- 1114,1120 ----
   \return  VCDINFO_INVALID_OFFSET is returned on error or if LID has no 
   "return" entry. Otherwise the LID offset is returned.
   */
! lid_t
  vcdinfo_get_return_offset(const vcdinfo_obj_t *obj, lid_t lid)
  {
    if (NULL != obj) {
***************
*** 1675,1681 ****
    ofs = _vcdinfo_get_offset_t(obj, offset, ext);
    if (ofs != NULL) {
      if (ofs->lid)
!       snprintf (buf, BUF_SIZE, "LID[%d] @0x%4.4x", 
                  ofs->lid, ofs->offset);
      else 
        snprintf (buf, BUF_SIZE, "PSD[?] @0x%4.4x", 
--- 1675,1681 ----
    ofs = _vcdinfo_get_offset_t(obj, offset, ext);
    if (ofs != NULL) {
      if (ofs->lid)
!       snprintf (buf, BUF_SIZE, "LID[%ld] @0x%4.4x", 
                  ofs->lid, ofs->offset);
      else 
        snprintf (buf, BUF_SIZE, "PSD[?] @0x%4.4x", 
*** ./src/input/vcd/libvcd/inf.c.osr6	Sun Jul  9 07:37:52 2006
--- ./src/input/vcd/libvcd/inf.c	Mon Oct 23 16:44:23 2006
***************
*** 335,341 ****
      {
        if (a->lid > b->lid) return +1;
        if (a->lid < b->lid) return -1;
!       vcd_warn ("LID %d at offset %d has same nunber as LID of offset %d", 
                  a->lid, a->offset, b->offset);
      } 
    else if (a->lid) return -1;
--- 335,341 ----
      {
        if (a->lid > b->lid) return +1;
        if (a->lid < b->lid) return -1;
!       vcd_warn ("LID %ld at offset %d has same nunber as LID of offset %d", 
                  a->lid, a->offset, b->offset);
      } 
    else if (a->lid) return -1;
***************
*** 473,479 ****
   * \return VCDINFO_INVALID_OFFSET is returned on error or if psd is
   * NULL. Otherwise the LID offset is returned.
   */
! uint16_t
  vcdinf_psd_get_next_offset(const PsdSelectionListDescriptor_t *psd)
  {
    if (NULL == psd) return VCDINFO_INVALID_OFFSET;
--- 473,479 ----
   * \return VCDINFO_INVALID_OFFSET is returned on error or if psd is
   * NULL. Otherwise the LID offset is returned.
   */
! lid_t
  vcdinf_psd_get_next_offset(const PsdSelectionListDescriptor_t *psd)
  {
    if (NULL == psd) return VCDINFO_INVALID_OFFSET;
*** ./src/input/vcd/vcdplayer.c.osr6	Sun Jul  9 07:37:46 2006
--- ./src/input/vcd/vcdplayer.c	Mon Oct 23 16:44:23 2006
***************
*** 53,58 ****
--- 53,60 ----
  unsigned long int vcdplayer_debug = 0;
  
  static void  _vcdplayer_set_origin(vcdplayer_t *p_vcdplayer);
+ static void vcdinfo_get_seg_resolution(const vcdinfo_obj_t *, 
+                                        segnum_t, uint16_t *, uint16_t *);
  
  /*!
    Return true if playback control (PBC) is on
*** ./src/input/vcd/xineplug_inp_vcd.c.osr6	Sun Jul  9 07:37:47 2006
--- ./src/input/vcd/xineplug_inp_vcd.c	Mon Oct 23 16:44:23 2006
***************
*** 42,47 ****
--- 42,48 ----
  #include <stdlib.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <errno.h>
  #include <ctype.h>
  
*** ./src/input/librtsp/rtsp.c.osr6	Sun Jul  9 07:37:45 2006
--- ./src/input/librtsp/rtsp.c	Mon Oct 23 16:44:23 2006
***************
*** 30,35 ****
--- 30,36 ----
  #include <netinet/in.h>
  #include <netdb.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/stat.h>
  #include <fcntl.h>
  #include <errno.h>
*** ./src/input/libdvdnav/bswap.h.osr6	Mon May 26 16:11:44 2003
--- ./src/input/libdvdnav/bswap.h	Mon Oct 23 16:44:23 2006
***************
*** 65,71 ****
   * functionality! 
   */
  
! #elif defined(__FreeBSD__) || defined(__sun) || defined(__bsdi__) || defined(WIN32) || defined(__CYGWIN__)
  #define B2N_16(x) \
   x = ((((x) & 0xff00) >> 8) | \
        (((x) & 0x00ff) << 8))
--- 65,71 ----
   * functionality! 
   */
  
! #elif defined(__FreeBSD__) || defined(__sun) || defined(__bsdi__) || defined(WIN32) || defined(__CYGWIN__) || defined(_SCO_DS)
  #define B2N_16(x) \
   x = ((((x) & 0xff00) >> 8) | \
        (((x) & 0x00ff) << 8))
*** ./src/input/libdvdnav/dvd_udf.c.osr6	Tue Mar 16 03:43:38 2004
--- ./src/input/libdvdnav/dvd_udf.c	Mon Oct 23 16:44:23 2006
***************
*** 33,38 ****
--- 33,39 ----
  #include <stdio.h>
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  
  #include <sys/types.h>
  #include <sys/stat.h>
*** ./src/input/libdvdnav/dvd_reader.c.osr6	Sun Jul  9 07:37:37 2006
--- ./src/input/libdvdnav/dvd_reader.c	Mon Oct 23 16:44:23 2006
***************
*** 28,33 ****
--- 28,34 ----
  #include <stdio.h>
  #include <errno.h>
  #include <string.h>
+ #include <strings.h>
  #include <unistd.h>
  #include <limits.h>
  #include <dirent.h>
*** ./src/input/libdvdnav/remap.c.osr6	Mon Aug 25 14:51:40 2003
--- ./src/input/libdvdnav/remap.c	Mon Oct 23 16:44:23 2006
***************
*** 20,25 ****
--- 20,26 ----
  
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdio.h>
  
  #ifndef _MSC_VER 
*** ./src/input/input_smb.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_smb.c	Mon Oct 23 16:44:23 2006
***************
*** 40,45 ****
--- 40,49 ----
  
  #define MAXFILES      65535
  
+ #ifdef open
+ #undef open
+ #endif
+ 
  typedef struct {
  	input_class_t input_class;
  	xine_t *xine;
*** ./src/input/input_rtp.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_rtp.c	Mon Oct 23 16:44:23 2006
***************
*** 69,76 ****
--- 69,78 ----
  #include <unistd.h>
  #include <fcntl.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/socket.h>
  #include <sys/ioctl.h>
+ #include <sys/types.h>
  #include <netinet/in.h>
  #include <arpa/inet.h>
  #include <netdb.h>
***************
*** 80,86 ****
  #include <stdlib.h>
  #include <net/if.h>
  
! #if defined (__SVR4) && defined (__sun)
  #  include <sys/sockio.h>
  #endif
  
--- 82,88 ----
  #include <stdlib.h>
  #include <net/if.h>
  
! #if defined (__SVR4) && defined (__sun) || defined(_SCO_DS)
  #  include <sys/sockio.h>
  #endif
  
*** ./src/input/input_dvb.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_dvb.c	Mon Oct 23 16:44:23 2006
***************
*** 80,85 ****
--- 80,86 ----
  #include <unistd.h>
  #include <fcntl.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/socket.h>
  #include <errno.h>
  #include <sys/time.h>
*** ./src/input/mms.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/mms.c	Mon Oct 23 16:44:23 2006
***************
*** 38,43 ****
--- 38,44 ----
  #include <netinet/in.h>
  #include <netdb.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <fcntl.h>
*** ./src/input/mmsh.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/mmsh.c	Mon Oct 23 16:44:23 2006
***************
*** 40,45 ****
--- 40,46 ----
  #include <netinet/in.h>
  #include <netdb.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <fcntl.h>
*** ./src/input/input_cdda.c.osr6	Sat Jul  8 07:08:48 2006
--- ./src/input/input_cdda.c	Mon Oct 23 16:44:23 2006
***************
*** 30,35 ****
--- 30,37 ----
  #include <stdio.h>
  #include <stdlib.h>
  #include <unistd.h>
+ #include <string.h>
+ #include <strings.h>
  
  #include <sys/types.h>
  #ifdef HAVE_SYS_PARAM_H
*** ./src/input/input_file.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_file.c	Mon Oct 23 16:44:23 2006
***************
*** 34,39 ****
--- 34,40 ----
  #include <unistd.h>
  #include <fcntl.h>
  #include <string.h>
+ #include <strings.h>
  #include <errno.h>
  
  #define LOG_MODULE "input_file"
*** ./src/input/input_mms.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_mms.c	Mon Oct 23 16:44:23 2006
***************
*** 32,37 ****
--- 32,38 ----
  #include <netinet/in.h>
  #include <netdb.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <fcntl.h>
*** ./src/input/input_pvr.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_pvr.c	Mon Oct 23 16:44:23 2006
***************
*** 96,101 ****
--- 96,102 ----
  #include <unistd.h>
  #include <fcntl.h>
  #include <string.h>
+ #include <strings.h>
  #include <errno.h>
  #include <time.h>
  #include <pthread.h>
*** ./src/input/input_rtsp.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_rtsp.c	Mon Oct 23 16:44:23 2006
***************
*** 30,35 ****
--- 30,36 ----
  #include <netinet/in.h>
  #include <netdb.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <fcntl.h>
*** ./src/input/input_v4l.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_v4l.c	Mon Oct 23 16:44:23 2006
***************
*** 28,33 ****
--- 28,34 ----
  #include <unistd.h>
  #include <stdio.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <fcntl.h>
*** ./src/input/input_vcd.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_vcd.c	Mon Oct 23 16:44:23 2006
***************
*** 34,39 ****
--- 34,40 ----
  #include <fcntl.h>
  #include <sys/ioctl.h>
  #include <string.h>
+ #include <strings.h>
  #ifdef HAVE_LINUX_CDROM_H
  # include <linux/cdrom.h>
  #endif
*** ./src/input/input_dvd.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_dvd.c	Mon Oct 23 16:44:23 2006
***************
*** 52,57 ****
--- 52,58 ----
  #include <fcntl.h>
  #include <time.h>
  #include <string.h>
+ #include <strings.h>
  #include <errno.h>
  #include <dlfcn.h>
  
*** ./src/input/input_http.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_http.c	Mon Oct 23 16:44:23 2006
***************
*** 31,36 ****
--- 31,37 ----
  #include <unistd.h>
  #include <fcntl.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/socket.h>
  #include <netinet/in.h>
  #include <ctype.h>
*** ./src/input/input_net.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_net.c	Mon Oct 23 16:44:23 2006
***************
*** 46,56 ****
  #include <unistd.h>
  #include <fcntl.h>
  #include <string.h>
  #include <sys/socket.h>
  #include <netinet/in.h>
  
  #ifdef ENABLE_IPV6
- #include <sys/types.h>
  #include <netdb.h>
  #endif
  
--- 46,57 ----
  #include <unistd.h>
  #include <fcntl.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/socket.h>
+ #include <sys/types.h>
  #include <netinet/in.h>
  
  #ifdef ENABLE_IPV6
  #include <netdb.h>
  #endif
  
*** ./src/input/input_pnm.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_pnm.c	Mon Oct 23 16:44:23 2006
***************
*** 30,35 ****
--- 30,36 ----
  #include <netinet/in.h>
  #include <netdb.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <fcntl.h>
*** ./src/input/input_stdin_fifo.c.osr6	Sun Jul  9 07:37:35 2006
--- ./src/input/input_stdin_fifo.c	Mon Oct 23 16:44:23 2006
***************
*** 27,32 ****
--- 27,33 ----
  #include <stdio.h>
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  #include <unistd.h>
  #include <fcntl.h>
  #include <sys/stat.h>
*** ./src/demuxers/demux_asf.c.osr6	Sun Jul  9 07:37:15 2006
--- ./src/demuxers/demux_asf.c	Mon Oct 23 16:44:23 2006
***************
*** 37,42 ****
--- 37,43 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  
  #define LOG_MODULE "demux_asf"
*** ./src/demuxers/demux_flac.c.osr6	Fri Jun  2 15:33:37 2006
--- ./src/demuxers/demux_flac.c	Mon Oct 23 16:44:24 2006
***************
*** 34,39 ****
--- 34,40 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  
  #define LOG_MODULE "demux_flac"
*** ./src/demuxers/demux_avi.c.osr6	Sun Jul  9 07:37:15 2006
--- ./src/demuxers/demux_avi.c	Mon Oct 23 16:44:24 2006
***************
*** 66,71 ****
--- 66,72 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  
  #define LOG_MODULE "demux_avi"
*** ./src/demuxers/demux_mpeg_pes.c.osr6	Sun Jul  9 07:37:15 2006
--- ./src/demuxers/demux_mpeg_pes.c	Mon Oct 23 16:44:24 2006
***************
*** 37,42 ****
--- 37,43 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  
  #define LOG_MODULE "demux_mpeg_pes"
  #define LOG_VERBOSE
*** ./src/demuxers/demux_ts.c.osr6	Wed Jun 28 13:20:54 2006
--- ./src/demuxers/demux_ts.c	Mon Oct 23 16:44:24 2006
***************
*** 142,147 ****
--- 142,148 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  
  #define LOG_MODULE "demux_ts"
  #define LOG_VERBOSE
*** ./src/demuxers/demux_ogg.c.osr6	Fri Jun  2 15:18:56 2006
--- ./src/demuxers/demux_ogg.c	Mon Oct 23 16:44:24 2006
***************
*** 35,40 ****
--- 35,41 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <ctype.h>
  #include <stdlib.h>
  #include <inttypes.h>
*** ./src/demuxers/demux_cdda.c.osr6	Sun Jun 13 14:28:52 2004
--- ./src/demuxers/demux_cdda.c	Mon Oct 23 16:44:24 2006
***************
*** 35,40 ****
--- 35,41 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  #include <ctype.h>
  
*** ./src/demuxers/demux_matroska.c.osr6	Fri Jun  2 15:18:56 2006
--- ./src/demuxers/demux_matroska.c	Mon Oct 23 16:44:24 2006
***************
*** 37,42 ****
--- 37,43 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  #include <zlib.h>
  
*** ./src/demuxers/demux_mpeg_block.c.osr6	Sun Jul  9 07:37:15 2006
--- ./src/demuxers/demux_mpeg_block.c	Mon Oct 23 16:44:24 2006
***************
*** 33,38 ****
--- 33,39 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  
  #define LOG_MODULE "demux_mpeg_block"
  #define LOG_VERBOSE
*** ./src/demuxers/demux_qt.c.osr6	Sun Jul  9 07:37:15 2006
--- ./src/demuxers/demux_qt.c	Mon Oct 23 16:44:24 2006
***************
*** 42,47 ****
--- 42,48 ----
  #include <fcntl.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  #include <ctype.h>
  #include <zlib.h>
*** ./src/libspucmml/xine_decoder.c.osr6	Sun Jul  9 07:39:12 2006
--- ./src/libspucmml/xine_decoder.c	Mon Oct 23 16:44:24 2006
***************
*** 34,39 ****
--- 34,41 ----
  #define SUB_MAX_TEXT  5
  
  #include "xine_internal.h"
+ #include <string.h>
+ #include <strings.h>
  
  typedef enum {
    SUBTITLE_SIZE_SMALL = 0,
*** ./src/libsputext/demux_sputext.c.osr6	Sun Jul  9 07:39:18 2006
--- ./src/libsputext/demux_sputext.c	Mon Oct 23 16:44:24 2006
***************
*** 38,43 ****
--- 38,44 ----
  #include <stdio.h>
  #include <unistd.h>
  #include <string.h>
+ #include <strings.h>
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <fcntl.h>
*** ./src/libdts/dts.h.osr6	Fri Apr  9 07:57:26 2004
--- ./src/libdts/dts.h	Mon Oct 23 16:44:24 2006
***************
*** 23,28 ****
--- 23,30 ----
  #ifndef DTS_H
  #define DTS_H
  
+ #include <sys/types.h>
+ 
  /* x86 accelerations */
  #define MM_ACCEL_X86_MMX	0x80000000
  #define MM_ACCEL_X86_3DNOW	0x40000000
***************
*** 38,45 ****
--- 40,49 ----
  typedef double level_t;
  #else
  typedef float sample_t;
+ #ifndef _SCO_DS
  typedef float level_t;
  #endif
+ #endif
  
  typedef struct dts_state_s dts_state_t;
  
*** ./src/libw32dll/wine/wrapper.h.osr6	Wed Dec 18 12:14:55 2002
--- ./src/libw32dll/wine/wrapper.h	Mon Oct 23 16:44:24 2006
***************
*** 3,9 ****
  
  #include <sys/types.h>
  
! #if defined(__sun)
  typedef uint32_t u_int32_t;
  #endif
  
--- 3,9 ----
  
  #include <sys/types.h>
  
! #if defined(__sun) || defined(_SCO_DS)
  typedef uint32_t u_int32_t;
  #endif
  
*** ./src/libw32dll/wine/ext.c.osr6	Sun Jul  9 07:39:37 2006
--- ./src/libw32dll/wine/ext.c	Mon Oct 23 16:44:24 2006
***************
*** 16,21 ****
--- 16,22 ----
  #include <errno.h>
  #include <fcntl.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdarg.h>
  #include <ctype.h>
  #include "windef.h"
*** ./src/libw32dll/wine/win32.c.osr6	Sun Jul  9 07:39:41 2006
--- ./src/libw32dll/wine/win32.c	Mon Oct 23 16:44:24 2006
***************
*** 12,17 ****
--- 12,19 ----
  ************************************************************/
  
  #include "config.h"
+ #include <string.h>
+ #include <strings.h>
  
  #define QTX
  
*** ./src/libvorbis/xine_decoder.c.osr6	Fri Jun  2 15:18:58 2006
--- ./src/libvorbis/xine_decoder.c	Mon Oct 23 16:44:24 2006
***************
*** 28,33 ****
--- 28,34 ----
  
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  
  #define LOG_MODULE "vorbis_decoder"
  #define LOG_VERBOSE
*** ./src/libspeex/xine_decoder.c.osr6	Fri Jun  2 15:18:57 2006
--- ./src/libspeex/xine_decoder.c	Mon Oct 23 16:44:24 2006
***************
*** 28,33 ****
--- 28,34 ----
  
  #include <stdlib.h>
  #include <string.h>
+ #include <strings.h>
  
  #define LOG_MODULE "speex_decoder"
  #define LOG_VERBOSE
*** ./src/libflac/demux_flac.c.osr6	Sun Jul  9 07:39:11 2006
--- ./src/libflac/demux_flac.c	Mon Oct 23 16:44:24 2006
***************
*** 34,39 ****
--- 34,40 ----
  #include <unistd.h>
  #include <sched.h>
  #include <string.h>
+ #include <strings.h>
  #include <stdlib.h>
  
  #include <FLAC/seekable_stream_decoder.h>
*** ./Install-OSR6.osr6	Mon Oct 23 16:44:24 2006
--- ./Install-OSR6	Mon Oct 23 16:44:24 2006
***************
*** 0 ****
--- 1,7 ----
+ #!/bin/sh
+ 
+ D=/u/tmp/xinelib
+ 
+ [ -d $D ] && rm -rf $D
+ mkdir -p $D
+ make install DESTDIR=$D 2>&1 | tee mout-install
*** ./Build-OSR6.osr6	Mon Oct 23 16:44:24 2006
--- ./Build-OSR6	Mon Oct 23 16:44:24 2006
***************
*** 0 ****
--- 1,37 ----
+ #!/bin/sh
+ #
+ HOST=i586-sco-sysv5
+ AS="/usr/gnu/bin/gas"
+ NM="/usr/ccs/bin/nm -p"
+ PRIO="-D_NO_PRIO_MIN"
+ CFLAGS="-O2 $PRIO"
+ 
+ # Xinelib uses GNU assembler syntax so we're using gcc for now
+ if [ "$1" = "-c" ]
+ then
+   CC="cc -Kpthread -Kalloca"
+   CXX="CC -Kpthread -Kalloca"
+ else
+   CC="gcc -D_REENTRANT"
+   CXX="g++ -D_REENTRANT"
+   CFLAGS="$CFLAGS -Wall"
+ fi
+ export AS CC CXX CFLAGS NM
+ [ -f xine-lib-configure-osr6.patch ] && {
+   [ -f configure ] && mv configure configure.prev
+   patch -p0 -b -i xine-lib-configure-osr6.patch
+   chmod 755 configure
+ }
+ rm -f mout-configure
+ if [ -x configure ]
+ then
+     ./configure --prefix=/usr --program-prefix="" \
+             --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee mout-configure
+ else
+     [ -f Makefile.PL ] && perl Makefile.PL 2>&1 | tee mout-configure
+ fi
+ 
+ MOUT=mout
+ [ "$1" ] && MOUT=mout-$1
+ [ -f $MOUT ] && mv $MOUT $MOUT-prev
+ make $* 2>&1 | tee $MOUT
